#include "core_cm3.h"
//#include "stm32f10x_it.h"

//static __IO uint32_t TimingDelay = 0;
//uint8_t  clock_1s; 

u32 TimingDelay = 0;

/***************************************************************************//**
 * @brief     delay some time ;n ms
 * @param[in] n:delay value
 * @return    None
*******************************************************************************/
void Delay_ms_ (u32 nTime)
{
	SysTick_Config(72000);   //Clock source: 72MHz OSC. SysTick Interrupt occurs every 1 ms
	TimingDelay = nTime;
	while (TimingDelay != 0);
	SysTick->CTRL = 0x00;
	SysTick->VAL = 0x00;
}

void SysTick_Handler (void)
{
	TimingDelay--;
}

void Delay_Nus(uint32_t nus)
{
 uint32_t temp;
 SysTick->LOAD = nus * 11;
 SysTick->VAL = 0x00;
 SysTick->CTRL = 0x01 ;
 do
 {
  temp=SysTick->CTRL;

 }while(temp&0x01&&!(temp&(1<<16)));
 SysTick->CTRL = 0x00;
 SysTick->VAL = 0X00;
}
